RDKit::MolStandardize::MetalDisconnector Class Reference

`#include <Metal.h>`

## Public Member Functions

| MetalDisconnector ()
| MetalDisconnector (const MetalDisconnector &other)
| ~MetalDisconnector ()
ROMol * | getMetalNof ()
ROMol * | getMetalNon ()
void | setMetalNof (const ROMol &mol)
void | setMetalNon (const ROMol &mol)
ROMol * | disconnect (const ROMol &mol)
void | disconnect (RWMol &mol)
| overload More...

## Detailed Description

The MetalDisconnector class contains tools for disconnecting metal atoms that are defined as covalently bonded to non-metals.

Notes:

Definition at line 34 of file Metal.h.

## Constructor & Destructor Documentation

## MetalDisconnector() [1/2]

RDKit::MolStandardize::MetalDisconnector::MetalDisconnector | ( |  | ) |

## MetalDisconnector() [2/2]

RDKit::MolStandardize::MetalDisconnector::MetalDisconnector | ( | const MetalDisconnector & | other | ) |

## ~MetalDisconnector()

RDKit::MolStandardize::MetalDisconnector::~MetalDisconnector | ( |  | ) |

## Member Function Documentation

## disconnect() [1/2]

ROMol* RDKit::MolStandardize::MetalDisconnector::disconnect | ( | const ROMol & | mol | ) |

Break covalent bonds between metals and organic atoms under certain conditions.

    <b>Notes:</b>
          The algorithm works as follows:

- Disconnect N, O, F from any metal.
- Disconnect other non-metals from transition metals + Al (but not Hg, Ga, Ge, In, Sn, As, Tl, Pb, Bi, Po).
  - For every bond broken, adjust the charges of the begin and end atoms accordingly.

## disconnect() [2/2]

void RDKit::MolStandardize::MetalDisconnector::disconnect | ( | RWMol & | mol | ) |

overload

## getMetalNof()

ROMol* RDKit::MolStandardize::MetalDisconnector::getMetalNof | ( |  | ) |

## getMetalNon()

ROMol* RDKit::MolStandardize::MetalDisconnector::getMetalNon | ( |  | ) |

## setMetalNof()

void RDKit::MolStandardize::MetalDisconnector::setMetalNof | ( | const ROMol & | mol | ) |

## setMetalNon()

void RDKit::MolStandardize::MetalDisconnector::setMetalNon | ( | const ROMol & | mol | ) |

The documentation for this class was generated from the following file:

- Metal.h